%define upstream_name    HTML-Tiny
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Lightweight, dependency free HTML/XML generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch


%description
'HTML::Tiny' is a simple, dependency free module for generating HTML (and
XML). It concentrates on generating syntactically correct XHTML using a
simple Perl notation.

In addition to the HTML generation functions utility functions are provided
to

* * encode and decode URL encoded strings

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-7.mga6
+ Revision: 1028384
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.50.0-6.mga6
+ Revision: 940092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 747748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 684979
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 512085
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 368170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 22491
- cleaning spec file
- imported package perl-HTML-Tiny

